/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.wsdl.wsdl11.xerces.ext;

import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

import org.bluestemsoftware.open.eoa.ext.wsdl.wsdl11.xerces.AbstractWSDLElement;
import org.bluestemsoftware.open.eoa.ext.wsdl.wsdl11.xerces.WSDL11DocumentImpl;
import org.bluestemsoftware.specification.eoa.ext.wsdl.wsdl11.ext.SOAP12BodyElement;

public class SOAP12BodyElementImpl extends AbstractWSDLElement implements SOAP12BodyElement {

    private static final long serialVersionUID = 1L;

    public SOAP12BodyElementImpl(WSDL11DocumentImpl owner) {
        super(owner, NAME.getNamespaceURI(), NAME.getPrefix() + ":" + NAME.getLocalPart());
    }

    public SOAP12BodyElementImpl() {
        super();
    }

    public void setParts(List<String> values) {
        if (values == null) {
            return;
        }
        String delim = "";
        StringBuffer sb = new StringBuffer();
        for (String value : values) {
            sb.append(delim + value);
            delim = " ";
        }
        setAttribute("parts", sb.toString());
    }

    public List<String> getParts() {
        String temp = getAttribute("parts");
        List<String> values = new ArrayList<String>();
        StringTokenizer st = new StringTokenizer(temp, " ", false);
        while (st.hasMoreTokens()) {
            values.add(st.nextToken());
        }
        return values;
    }
    
    public void setUse(String value) {
        setAttribute("use", value);
    }

    public String getUse() {
        return getAttribute("use").equals("") ? null : getAttribute("use");
    }
    
    public void setNamespace(String value) {
        setAttribute("namespace", value);
    }

    public String getNamespace() {
        return getAttribute("namespace").equals("") ? null : getAttribute("namespace");
    }
    
}
